> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all versions with their fiscal power and number of seats for a given brand and model



## OpenAPI

````yaml /openapi.json get /vehicle-information/versions
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /vehicle-information/versions:
    get:
      tags:
        - sra
      summary: >-
        Get all versions with their fiscal power and number of seats for a given
        brand and model
      operationId: SraController_getVersionInformationFromBrandAndModel
      parameters:
        - name: brand
          required: true
          in: query
          description: The brand
          schema:
            type: string
        - name: model
          required: true
          in: query
          description: The model
          schema:
            type: string
        - name: fiscalPower
          required: false
          in: query
          description: The fiscalPower value
          schema:
            minimum: 1
            type: number
        - name: energyCode
          required: false
          in: query
          description: The energy
          schema:
            type: string
        - name: entryIntoCirculationDate
          required: false
          in: query
          description: The first circulation date
          schema:
            format: date-time
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetVersionInformationFromBrandAndModelOutput
components:
  schemas:
    GetVersionInformationFromBrandAndModelOutput:
      type: object
      properties:
        data:
          description: List of vehicle version main information
          type: array
          items:
            $ref: '#/components/schemas/GetVersionInformationFromBrandAndModelData'
      required:
        - data
    GetVersionInformationFromBrandAndModelData:
      type: object
      properties:
        version:
          type: string
          description: The brand
          nullable: true
        fiscalPower:
          type: number
          description: The fiscal power
          nullable: true
        numberOfSeats:
          type: number
          description: The number of seats
          nullable: true
        commercialisationStartDate:
          format: date-time
          type: string
          description: The start of commercialisation
          nullable: true
      required:
        - version
        - fiscalPower
        - numberOfSeats
        - commercialisationStartDate

````